| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__EAGroupMemberData Struct Reference
Executive Assistant Group

EA Group member data. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__ServiceId | MemberServiceID
| Member Service ID. More...
enum unsp__EAMemberRole * | MemberRole
| Member Role. More...
xsd__boolean * | PrivateNumberVisible
| Indicates whether the private number of the member is visible. More...
wchar_t * | MemberName
| Member name in Unicode format. More...
xsd__boolean * | TypeExecutive
| Flag indicating if member is an executive. More...
xsd__string | MemberPreference
| Attribute that can be used for preferences. More...
xsd__string | MemberMobileNumber
| A value indicating the mobile number of the member. More...
xsd__string | MemberForwardNumber
| A value indicating the forward number of the member. More...
xsd__string | MemberToNumber
| A value indicating the 'to' number of the member. More...
xsd__string | AdditionalInfo
| Additional information. More...
xsd__string | MemberPosition
| Member position. More...

## Detailed Description

EA Group member data.

## Member Data Documentation

## ◆ AdditionalInfo

xsd__string unsp__EAGroupMemberData::AdditionalInfo

Additional information.

required: false
default value[range]: NA

## ◆ MemberForwardNumber

xsd__string unsp__EAGroupMemberData::MemberForwardNumber

A value indicating the forward number of the member.

required: false
default value[range]: NA

## ◆ MemberMobileNumber

xsd__string unsp__EAGroupMemberData::MemberMobileNumber

A value indicating the mobile number of the member.

required: false
default value[range]: NA

## ◆ MemberName

wchar_t* unsp__EAGroupMemberData::MemberName

Member name in Unicode format.

required: false
default value[range]: NA

## ◆ MemberPosition

xsd__string unsp__EAGroupMemberData::MemberPosition

Member position.

required: false
default value[range]: NA

## ◆ MemberPreference

xsd__string unsp__EAGroupMemberData::MemberPreference

Attribute that can be used for preferences.

required: false
default value[range]: NA

## ◆ MemberRole

enum unsp__EAMemberRole* unsp__EAGroupMemberData::MemberRole

Member Role.

required: false
default value[range]: NA

## ◆ MemberServiceID

unsp__ServiceId unsp__EAGroupMemberData::MemberServiceID

Member Service ID.

required: true

See also
  unsp__ServiceId

## ◆ MemberToNumber

xsd__string unsp__EAGroupMemberData::MemberToNumber

A value indicating the 'to' number of the member.

required: false
default value[range]: NA

## ◆ PrivateNumberVisible

xsd__boolean* unsp__EAGroupMemberData::PrivateNumberVisible

Indicates whether the private number of the member is visible.

required: false
default value[range]: false

## ◆ TypeExecutive

xsd__boolean* unsp__EAGroupMemberData::TypeExecutive

Flag indicating if member is an executive.

required: false
default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h